> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno カスタム歌手スタイル API 接続説明

> Suno Music Generation API guide - Ace Data Cloud

SUNO は、生成された後の曲に歌手スタイルを設定し、それに基づいて二次創作を行うことを許可します。本ドキュメントでは、関連する API の接続方法について説明します。

この API には、3 つの入力パラメータがあります。まず `audio_id` ですが、これは公式に生成された後の曲の ID です。次に `name` と `description` ですが、これは歌手スタイルの名称と説明です。

ここで入力する `audio_id` は `https://cdn.acedata.cloud/2qhzs3.png` です。これは [Suno Audios Generation API](https://platform.acedata.cloud/documents/suno-audios) を参考にしてカスタム曲を生成することができ、最終的に `audio_id` を得ることができます。

```bash theme={null}
curl -X POST 'https://api.acedata.cloud/suno/persona' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "name": "test",
  "audio_id": "81745564-60e7-4ad4-85a9-6f42f0f4f3b3",
  "description": "test"
}'
```

結果は以下の通りです：

```
{
  "success": true,
  "task_id": "8e808558-f056-456f-91d6-b97fd94eb3be",
  "data": {
    "persona_id": "dae4ae5d-2b51-4af1-b286-1a4473ef4dba"
  }
}
```

`data` の `persona_id` フィールドが生成された歌手スタイル ID であることがわかります。

歌手スタイル ID を取得した後、[Suno Audios Generation API](https://platform.acedata.cloud/documents/suno-audios) を使用してカスタム曲を生成することができます。例えば、`action` に `artist_consistency` を渡し、`audio_id` にアップロードした曲の ID を渡し、さらにパラメータ `persona_id` をアップロードする必要があります。この値は上記で返された歌手スタイル ID であり、参考にした歌手スタイルに基づいて新しい曲を生成することができます。
